### A free/open-source library for quantitative finance

Russia Class Reference
Calendars

Russian calendar. More...

`#include <ql/time/calendars/russia.hpp>`

Inheritance diagram for Russia:
[legend]

List of all members.

## Detailed Description

Russian calendar.

Public holidays (see <http://www.rts.ru/en/>:):

- Saturdays
- Sundays
- New Year holidays and Christmas, January 1st to 10th
- Defender of the Fatherland Day, February 23rd (possibly moved to Monday)
- International Women's Day, March 8th (possibly moved to Monday)
- Labour Day, May 1st (possibly moved to Monday)
- Victory Day, May 9th (possibly moved to Monday)
- Russia Day, June 12th (possibly moved to Monday)
- Unity Day, November 4th (possibly moved to Monday)